LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Variables
RenderingIntent.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::rendering
| Interfaces and data structures for rendering.

## Constant Groups
constants | com::sun::star::rendering::RenderingIntent
| The rendering intent for a color space.

## Variables
const byte | PERCEPTUAL =0
| Also known as the image intent, this rendering intent aims to preserve the visual relationship between colors in a way that is perceived as natural to the human eye, although the color values themselves may change. More...
const byte | SATURATION =1
| The rendering intent for business graphics that maintains vivid color at the expense of accurate color. More...
const byte | RELATIVE_COLORIMETRIC =2
| The rendering intent almost identical to Absolute Colorimetric except for the following difference: Relative Colorimetric compares the white point (extreme highlight) of the source color space to that of the destination color space and shifts all colors accordingly. More...
const byte | ABSOLUTE_COLORIMETRIC =3
| The rendering intent that leaves colors that fall inside the destination gamut unchanged. More...